## org.exist.dom
Class QNamePool

    java.lang.Object
      org.exist.util.hashtable.AbstractHashtable
          org.exist.dom.QNamePool

public class QNamePool
extends AbstractHashtable

A pool for QNames. This is a temporary pool for QName objects to avoid allocating the same QName multiple times. If the pool is full, it will just be cleared.

Author:
  wolf

Constructor Summary
`QNamePool()`
`QNamePool(int iSize)`

Method Summary
`QName` `add(byte type, java.lang.String namespaceURI, java.lang.String localName, java.lang.String prefix)` Add a QName, consisting of namespace, local name and prefix, to the pool.
`java.util.Iterator` `iterator()`
`java.util.Iterator` `valueIterator()`

Methods inherited from class org.exist.util.hashtable.AbstractHashtable
`getMaxRehash, isPrime, nextPrime, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QNamePool

    public QNamePool()

### QNamePool

    public QNamePool(int iSize)

Method Detail

### add

    public QName add(byte type,
                     java.lang.String namespaceURI,
                     java.lang.String localName,
                     java.lang.String prefix)

  Add a QName, consisting of namespace, local name and prefix, to the pool.

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in class `AbstractHashtable`

### valueIterator

    public java.util.Iterator valueIterator()

  Specified by:
    `valueIterator` in class `AbstractHashtable`

Copyright (C) Wolfgang Meier. All rights reserved.